Bug 1285744 - Spec uses %setup macro with -c and -a
Spec uses %setup macro with -c and -a
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xhtml2fo-style-xsl (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 06:34 EST by Florian Festi
Modified: 2017-01-04 09:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-04 09:26:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Festi 2015-11-26 06:34:51 EST
There is an bug in rpmbuild regarding the %setup macro. It makes -b (before changing into build sub dir) behave like -a (after changing into build sub dir) when -c is given. Your package relies on this behaviour. As we just fixed that upstream so your package will break after the next RPM release.

See https://github.com/rpm-software-management/rpm/pull/21 for the details.

Please change the following line:
%setup -q -c -n %{name}-%{version} -T -b 0
Comment 1 Jan Kurik 2016-02-24 09:02:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Ondrej Vasik 2017-01-04 09:26:15 EST
Changed setup to simpler format...

Note You need to log in before you can comment on or make changes to this bug.